Subject: Re: [Bitcoin-development] After compressed pubkeys: hybrid pubkeys

From: Gavin Andresen <[email-masked]>
Date: Sat, 16 Jun 2012 17:41:52 -0400

RE: 0x06/0x07 'hybrid' public keys:

> Any opinions? Forbidding it certainly makes alternative implementation
> slightly easier in the future, but I'm not sure the hassle of a network
> rule change is worth it.

I say treat any transactions that use them as 'non-standard' -- don't
relay/mine them by default, but accept blocks that happen to contain
them.

I agree that a rule change isn't worth it right now, but making them
non-standard now is easy and should make a rule change in the future
easier.

-- 
--
Gavin Andresen